%if 0%{?rhel}
%define local_dist_name centos
%else
%define local_dist_name fedora
%endif

Name:		qubes-vm-meta-packages
Version:	4.1.15
Release:	1%{?dist}
Summary:	Meta packages for Qubes-specific components
BuildArch:  noarch

Group:		System Environment/Base
License:	GPLv2+
URL:		https://www.qubes-os.org/

BuildRequires: make

Source0: %{name}-%{version}.tar.gz

%package -n qubes-vm-dependencies
Summary:    Meta package with packages required in Qubes VM
Requires:   qubes-core-agent
Requires:   qubes-core-agent-systemd
Requires:   qubes-gui-agent
Requires:   xen-runtime
Obsoletes:  xen-qubes-vm < 2001:4.9

%description -n qubes-vm-dependencies
This package depends on packages required to be installed in Qubes VM.

%package -n qubes-vm-recommended
Summary:    Meta package with packages recommended in Qubes VM
Requires:   xfce4-notifyd
Requires:   pulseaudio-qubes
Requires:   qubes-core-agent-dom0-updates
Requires:   qubes-core-agent-nautilus
Requires:   qubes-core-agent-network-manager
Requires:   qubes-core-agent-networking
Requires:   qubes-core-agent-passwordless-root
Requires:   qubes-gpg-split
Requires:   qubes-img-converter
Requires:   qubes-input-proxy-sender
Requires:   qubes-mgmt-salt-vm-connector
Requires:   qubes-usb-proxy
Requires:   thunderbird-qubes
# qubes-pdf-converter needs python3.7+ currently
# not fully available
%if ! (0%{?rhel} && 0%{?rhel} <= 8)
Requires:   qubes-pdf-converter
%endif

%description -n qubes-vm-recommended
Installing this package is recommended to have full functionality available in
Qubes VM.

%description
Meta packages for easy maintenance of installed Qubes OS specific packages.

%package -n qubes-repo-contrib
Summary: Repository definition for packages contributed to Qubes OS

%description -n qubes-repo-contrib
Contrib repository contains packages written/adopted specifically for Qubes,
not available in upstream repositories.

%package -n qubes-vm-guivm
Summary: Meta package with packages required in a GuiVM
Requires: xorg-x11-server-Xorg
Requires: xorg-x11-server-Xephyr
Requires: setxkbmap
Requires: qubes-gui-daemon
Requires: qubes-core-admin-client
Requires: qubes-artwork
Requires: qubes-menus
Requires: qubes-input-proxy-receiver

%description -n qubes-vm-guivm
This package depends on packages required to be installed in a GuiVM.

%prep
%setup -q

%build

%install
# comps
install -d -m 755 $RPM_BUILD_ROOT/usr/share/qubes
install -m 644 comps/comps-vm.xml $RPM_BUILD_ROOT/usr/share/qubes/qubes-comps.xml

# contrib repo
make -C repos install-vm-%{local_dist_name} DESTDIR=$RPM_BUILD_ROOT

%files
/usr/share/qubes/qubes-comps.xml

%files -n qubes-repo-contrib
%config(noreplace) /etc/yum.repos.d/qubes-contrib-vm-r4.1.repo
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.1-contrib-%{local_dist_name}
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib-%{local_dist_name}

%files -n qubes-vm-dependencies

%files -n qubes-vm-recommended

%files -n qubes-vm-guivm

%changelog
* Sat Jul 10 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-meta-packages.git

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 49e8ad6
- version 4.1.15

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5804f81
- Remove dependency on xorg-x11-utils and xorg-x11-xkb-utils

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4166118
- version 4.1.14

* Tue Jul 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 19da8fb
- Include Fedora 34 template by default

* Sun May 30 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 710af53
- spec: disable pdf-converter for CentOS

* Tue May 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5933012
- version 4.1.12

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7fb69c2
- Revert "gitlab-ci: enable archlinux build"

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - be67b12
- spec: add BR make

* Mon Feb 08 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f63409d
- Switch default template to Fedora 33

* Tue Dec 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7add525
- version 4.1.11

* Tue Dec 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 96abff3
- Generate new local master key before importing qubesos keyring

* Sat Nov 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0dfeecc
- repo: on debian use /etc/debian_version

* Thu Nov 19 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4710625
- archlinux: move pacman-key after enabling repository

* Wed Nov 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 429e419
- gitlab-ci: enable archlinux build

* Tue Nov 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7a888a6
- comps: Remove unused packages from dom0

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 149aba2
- Add .gitlab-ci.yml

* Fri Nov 13 2020 Olivier MEDOC <o_medoc@yahoo.fr> - de02003
- archlinux: fix retrieving source files properly in PKGBUILD

* Sat Nov 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9482532
- archlinux: add pacman.d/*.conf include

* Sat Nov 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c0243b8
- Add archlinux repo config

* Mon Oct 19 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - baf9dfe
- archlinux: add passwordless-root package in recommended

* Mon Oct 19 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e69d385
- Add archlinux packaging

* Sat Sep 19 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 71bb9ca
- Ensure sender in dom0 and receiver in guivm

* Mon Aug 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6674cfb
- Include qubes-manager in dom0 package set

* Mon Aug 10 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 91836e6
- spec: python3.7+ is not available in CentOS7

* Wed Jul 29 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 20cc555
- comps: drop dnfdragora-updater

* Tue Jul 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 009f0db
- version 4.1.10

* Sat Jul 18 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 42fe5bb
- comps: add xfce4-settings-qubes

* Wed Jul 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8769903
- version 4.1.9

* Wed Jul 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ee8a3e6
- rpm: Add C: qubes-release < 4.1-0.26

* Wed Jul 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3254c86
- dom0: include qubes-dom0-meta-packages in comps file for dom0

* Fri Jul 03 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 137c990
- Update travis

* Fri Jul 03 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a85bd60
- Add comps-dom0.xml and comps-vm.xml

* Wed Jun 17 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0451222
- debian: sync with spec file and add guivm pkg

* Mon May 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 74abfe6
- version 4.1.8

* Thu Apr 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 02cf80d
- rpm: do not depend on python*-imgconverter directly

* Sat Apr 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e7147d5
- version 4.1.7

* Thu Apr 02 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6432061
- Replace mate notification daemon by xfce4 one

* Thu Apr 02 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2cfa56f
- spec: use python3 package for qubesimgconverter

* Wed Apr 01 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0876bee
- vm: make xen-qubes-vm obsolete for R4.0->R4.1 migration

* Fri Mar 20 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 42aa031
- version 4.1.6

* Tue Mar 17 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a154a68
- contrib: fix debian repo file

* Tue Mar 10 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - abf2ca3
- Don't hardcode dom0 Fedora releasever

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 27b9140
- travis: switch to dom0 Fedora 31

* Sat Nov 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 69448b0
- version 4.1.5

* Thu Nov 14 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a18ab05
- guivm: fix package name and ensure Xorg too

* Wed Nov 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5c07257
- version 4.1.4

* Wed Nov 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 817fcd6
- vm: add guivm metapackages

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ae66b10
- travis: switch to bionic

* Sun Sep 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0755bce
- version 4.1.3

* Sun Sep 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f9e116e
- version 4.1.2

